Bug 92786 - FILESAVE: wrong table of content page numbers alignment after .docx export
Summary: FILESAVE: wrong table of content page numbers alignment after .docx export
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-TableofContents
  Show dependency treegraph
 
Reported: 2015-07-16 13:10 UTC by ralf.krapf
Modified: 2020-01-20 11:26 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (229.64 KB, image/png)
2015-07-16 13:10 UTC, ralf.krapf
Details
Original odt file (13.25 KB, application/vnd.oasis.opendocument.text)
2015-07-16 13:26 UTC, ralf.krapf
Details
Exported docx file with LO5003 (6.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-07-16 13:28 UTC, ralf.krapf
Details
screenshot (143.53 KB, image/png)
2017-08-18 04:18 UTC, Bastián Díaz
Details
fixed export in LO 6.3 alpha (6.73 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-04-17 16:05 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ralf.krapf 2015-07-16 13:10:19 UTC
Hi

Simple odt testfile exported with LO5003 to docx. The Alignement of the page numbers is wrong in WinWord 2010. They numbers should all be on the right side.
But there are not enough points between the title on the left and the number on the right.
Hard to explain but easy to see in the screenshot.

Cheers
Comment 1 ralf.krapf 2015-07-16 13:10:54 UTC
Created attachment 117277 [details]
Screenshot
Comment 2 ralf.krapf 2015-07-16 13:26:40 UTC
Created attachment 117279 [details]
Original odt file
Comment 3 ralf.krapf 2015-07-16 13:28:04 UTC
Created attachment 117280 [details]
Exported docx file with LO5003
Comment 4 tommy27 2015-07-16 18:58:36 UTC
I can reproduce it under Win8.1x64 with LibO 4.4.3 and recent 5.1.0 alpha (*)

(*) Build ID: d3b6f3790953bdfeaeebcd3ba9ec370d94ca4ebf
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-07-09_00:11:55
Locale: en-US (it_IT)

worked fine till 4.2.5 and bug appeared in 4.2.6 hence is a regression in very limited committ range:

https://wiki.documentfoundation.org/Releases/4.2.6/RC1
https://wiki.documentfoundation.org/Releases/4.2.6/RC2
https://wiki.documentfoundation.org/Releases/4.2.6/RC3

@ralf
please tell your O/S.
Comment 5 Joel Madero 2015-07-17 03:34:59 UTC
This one was a bit rough to bibisect because there was a secondary issue that probably came immediately before this was introduced (the entire table was missing essentially) - I hope this is right. 

Priority: Normal - can prevent high quality work;
Importance: High - regression so bumped it up


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



4850941efe43ae800be5c76e1102ab80ac2c085d is the first bad commit
commit 4850941efe43ae800be5c76e1102ab80ac2c085d
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sat May 10 23:51:39 2014 +0000

    source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
    
    commit 980a6e552502f02f12c15bfb1c9f8e6269499f4b
    Author:     Julien Nabet <serval2412@yahoo.fr>
    AuthorDate: Sat Jan 4 12:21:09 2014 +0100
    Commit:     Julien Nabet <serval2412@yahoo.fr>
    CommitDate: Sat Jan 4 12:46:59 2014 +0100
    
        cppcheck: Clarify expression with parentheses
    
        Change-Id: I71333af38adba1d916138835e28419bb62cd1db4

:100644 100644 0bbbdc4f0bf92d9f129a9da63934e49f60e9f86f 711777e12295c5972db7458ed3b6adca03616717 M	ccache.log
:100644 100644 09c19033d1fcb3eac30b479caee49891254a1012 e932875a94f8ee2c1d0fdedc9b0a87929dbecfdd M	commitmsg
:100644 100644 29b66fc8e0226662b8e568089d4ebbfde4fc63f5 b46aa9736656e7a84a76c2088aeb76edbe56251d M	make.log
:040000 040000 ba7d095ae893c586c96d42d52058c62f9e976ca1 0134398ee8a546fe917806c9490bda13e9b0c704 M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect skip c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# skip: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect skip c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# good: [9771d0c212cfa71b07742ff3dc5c05df22d600eb] source-hash-a9a0933ec67eab0ec31c8fadb60fb8e8e3e90485
git bisect good 9771d0c212cfa71b07742ff3dc5c05df22d600eb
# skip: [7dac5042edcebc4618bd00c1624c1d192d30b8ce] source-hash-debe0835cad25931a934eb3e1f205d508e6498cd
git bisect skip 7dac5042edcebc4618bd00c1624c1d192d30b8ce
# skip: [7dac5042edcebc4618bd00c1624c1d192d30b8ce] source-hash-debe0835cad25931a934eb3e1f205d508e6498cd
git bisect skip 7dac5042edcebc4618bd00c1624c1d192d30b8ce
# skip: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect skip 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# skip: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect skip 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# good: [7d9e0cb59cf7fe20b31a5c291238b5391834c278] source-hash-c828319753558e25a48ce7808604bcc648f2483d
git bisect good 7d9e0cb59cf7fe20b31a5c291238b5391834c278
# good: [114afdde4043b0ea0a52e5c362eb9184e5aef5b4] source-hash-af1ac453dfb6041ba04a50117a481739c10307ab
git bisect good 114afdde4043b0ea0a52e5c362eb9184e5aef5b4
# good: [2d06f767f93fa86c499ed084d0da7cd94ce8b935] source-hash-a48d76c65cdcbedaabc562bf8d4d0a2e81a1329d
git bisect good 2d06f767f93fa86c499ed084d0da7cd94ce8b935
# good: [6f7541cf54e32992fe5e0cee84f9a7b17c378b76] source-hash-e11a80d0be9db1e8cc1054d166638a99e89defea
git bisect good 6f7541cf54e32992fe5e0cee84f9a7b17c378b76
# good: [e0ab078ed43a5f7fde83c2a310e7d75c861d02c9] source-hash-53745911a7055cab0ddcfc4ac221ecfaccb04902
git bisect good e0ab078ed43a5f7fde83c2a310e7d75c861d02c9
# first bad commit: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
Comment 6 ralf.krapf 2015-07-17 05:50:12 UTC
Here is Win7 64bit / LO5003

ralf
Comment 7 tommy27 2015-07-17 09:09:07 UTC
I adjust the version field. It has to indicate the earliest version the bug has been reproduced. in this case: 4.2.6.2
Comment 8 Matthew Francis 2015-09-03 04:06:31 UTC
Narrowed down further to the range

c619f8747bcf04454645774729ccf5d91fac55f1~1..92518d513fe021be58a0bbeb04fd9306eb23ebda

which pretty much has to be the below commit.
Adding Cc: to vinaya.mandke@synerzip.com; Could you possibly take a look at this one? Thanks


commit 9679e9c23216decb5f9f25f85b04cb3f25211111
Author: Vinaya Mandke <vinaya.mandke@synerzip.com>
Date:   Mon Dec 30 16:22:30 2013 +0530

    fdo#69649 Fix for pre-rendered Table Of Contents
    
    Added Import and Export Uts for the same
    
    Conflicts:
        sw/qa/extras/ooxmlexport/ooxmlexport.cxx
    Reviewed on:
        https://gerrit.libreoffice.org/7207
    
    Change-Id: I966b3d268dd407aa05823e29fe1da4d097091265
Comment 9 Robinson Tryon (qubit) 2015-12-13 11:13:08 UTC Comment hidden (obsolete)
Comment 10 Bastián Díaz 2017-08-18 04:18:55 UTC
Created attachment 135634 [details]
screenshot

This problem is still present using LibreOffice 5.4.0.3 (7556cbc6811c9d992f4064ab9287069087d7f62c) in fedora 25 XFCE 64 bit.
Comment 11 László Németh 2019-04-17 16:04:23 UTC
Fixed in LibreOffice 6.3.0.0.alpha0+, see attached export (still problem in LibreOffice 6.0.7.3).
Comment 12 László Németh 2019-04-17 16:05:20 UTC
Created attachment 150830 [details]
fixed export in LO 6.3 alpha
Comment 13 Xisco Faulí 2019-04-17 16:13:11 UTC
indeed!! Fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=f2f2143316acb449baaf29dd5300a6acf8a5c632

Verified in

Version: 6.3.0.0.alpha0+
Build ID: 26e85974a0287ab5869e7ff0145a66b853d66a02
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded